com.virtual.tour.road.util

## Class SystemUiHiderBase

- java.lang.Object
- - com.virtual.tour.road.util.SystemUiHider
  - - com.virtual.tour.road.util.SystemUiHiderBase

- Direct Known Subclasses:
    SystemUiHiderHoneycomb

      public class SystemUiHiderBase
      extends SystemUiHider

  A base implementation of `SystemUiHider`. Uses APIs available in all API levels to show and hide the status bar.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.virtual.tour.road.util.SystemUiHider

      `SystemUiHider.OnVisibilityChangeListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `mVisible` Whether or not the system UI is currently visible.

    - ### Fields inherited from class com.virtual.tour.road.util.SystemUiHider

      `FLAG_FULLSCREEN, FLAG_HIDE_NAVIGATION, FLAG_LAYOUT_IN_SCREEN_OLDER_DEVICES, mActivity, mAnchorView, mFlags, mOnVisibilityChangeListener`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SystemUiHiderBase(android.app.Activity activity, android.view.View anchorView, int flags)` Constructor not intended to be called by clients.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `hide()` Hide the system UI.
    `boolean` | `isVisible()` Returns whether or not the system UI is visible.
    `void` | `setup()` Sets up the system UI hider.
    `void` | `show()` Show the system UI.

    - ### Methods inherited from class com.virtual.tour.road.util.SystemUiHider

      `getInstance, setOnVisibilityChangeListener, toggle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mVisible

          private boolean mVisible

      Whether or not the system UI is currently visible. This is a cached value from calls to `hide()` and `show()`.

  - ### Constructor Detail

    - #### SystemUiHiderBase

          protected SystemUiHiderBase(android.app.Activity activity,
                                      android.view.View anchorView,
                                      int flags)

      Constructor not intended to be called by clients. Use `SystemUiHider.getInstance(android.app.Activity, android.view.View, int)` to obtain an instance.

  - ### Method Detail

    - #### hide

          public void hide()

      Description copied from class: `SystemUiHider`
      Hide the system UI.
      Specified by:
        `hide` in class `SystemUiHider`

    - #### isVisible

          public boolean isVisible()

      Description copied from class: `SystemUiHider`
      Returns whether or not the system UI is visible.
      Specified by:
        `isVisible` in class `SystemUiHider`

    - #### setup

          public void setup()

      Description copied from class: `SystemUiHider`
      Sets up the system UI hider. Should be called from `Activity.onCreate(android.os.Bundle)`.
      Specified by:
        `setup` in class `SystemUiHider`

    - #### show

          public void show()

      Description copied from class: `SystemUiHider`
      Show the system UI.
      Specified by:
        `show` in class `SystemUiHider`